export default class BodyContext {
    constructor() {
        this.headerList = [];
        this.masterMap = {};
        this.defaultLayout = "";
    }
    getDefaultLayout() {
        return this.defaultLayout;
    }
    setDefaultLayout(layout) {
        this.defaultLayout = layout;
    }
    getHeaderList() {
        return this.headerList
    }
    add() {
        this.headerList.push(...arguments)
    }
    getMasterMap() {
        return this.masterMap
    }
    getMasterValue(key) {
        return this.masterMap[key]
    }
    setMasterValue(key, value) {
        this.masterMap[key] = value
    }

}